Ticket #43222

gtk: unit_info_box not unreffed

Open Date: 2021-11-16 11:25 Last Update: 2021-11-29 00:39

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

There is special g_object_ref(unit_info_box) when unit_info_box is created, to make sure that it won't get accidentally destroyed when refcount temporarily goes to zero. The problem is that there's no related unref even when the widget finally should be destroyed.

Noticed on master gtk3x-client, but presumable in other gtk-clients and branches too.

Ticket History (3/7 Histories)

2021-11-16 11:25 Updated by: cazfi
  • New Ticket "gtk: unit_info_box not unreffed" created
2021-11-16 11:47 Updated by: cazfi
Comment

Same for g_object_ref(ei->widget) in editinfobox_create(), that exist for the same case.

2021-11-20 00:17 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6 (closed)
  • Component Update from (None) to Gtk3.22-client
2021-11-29 00:39 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login